dvb_ts_packet_header Struct Reference
Digital TV table parsing

Header of a MPEG-TS transport packet. More...

`#include <header.h>`

## Data Fields

uint8_t | sync_byte
union { |
uint16_t bitfield |
struct { |
uint16_t pid:13 |
uint16_t transport_priority:1 |
uint16_t payload_unit_start_indicator:1 |
uint16_t transport_error_indicator:1 |
} |
}; |
uint8_t | continuity_counter:4
uint8_t | adaptation_field_control:2
uint8_t | transport_scrambling_control:2
uint8_t | adaptation_field_length
struct { |
uint8_t extension:1 |
uint8_t private_data:1 |
uint8_t splicing_point:1 |
uint8_t OPCR:1 |
uint8_t PCR:1 |
uint8_t priority:1 |
uint8_t random_access:1 |
uint8_t discontinued:1 |
}; |

## Detailed Description

Header of a MPEG-TS transport packet.

Parameters

  sync_byte | sync byte
  pid | Program ID
  transport_priority | transport priority
  payload_unit_start_indicator | payload unit start indicator
  transport_error_indicator | transport error indicator
  continuity_counter | continuity counter
  adaptation_field_control | adaptation field control
  transport_scrambling_control | transport scrambling control
  adaptation_field_length | adaptation field length

See also
  http://www.etherguidesystems.com/Help/SDOs/MPEG/Semantics/MPEG-2/transport_packet.aspx

Examples
  dvbv5-zap.c.

Definition at line 57 of file header.h.

## Field Documentation

## [union]

union { ... } dvb_ts_packet_header

## [struct]

struct { ... } dvb_ts_packet_header

## adaptation_field_control

uint8_t dvb_ts_packet_header::adaptation_field_control

Examples
  dvbv5-zap.c.

Definition at line 69 of file header.h.

## adaptation_field_length

uint8_t dvb_ts_packet_header::adaptation_field_length

Examples
  dvbv5-zap.c.

Definition at line 73 of file header.h.

## bitfield

uint16_t dvb_ts_packet_header::bitfield

Examples
  dvbv5-zap.c.

Definition at line 60 of file header.h.

## continuity_counter

uint8_t dvb_ts_packet_header::continuity_counter

Examples
  dvbv5-zap.c.

Definition at line 68 of file header.h.

## discontinued

uint8_t dvb_ts_packet_header::discontinued

Examples
  dvbv5-zap.c.

Definition at line 83 of file header.h.

## extension

uint8_t dvb_ts_packet_header::extension

Definition at line 76 of file header.h.

## OPCR

uint8_t dvb_ts_packet_header::OPCR

Definition at line 79 of file header.h.

## payload_unit_start_indicator

uint16_t dvb_ts_packet_header::payload_unit_start_indicator

Definition at line 64 of file header.h.

## PCR

uint8_t dvb_ts_packet_header::PCR

Definition at line 80 of file header.h.

## pid

uint16_t dvb_ts_packet_header::pid

Examples
  dvbv5-zap.c.

Definition at line 62 of file header.h.

## priority

uint8_t dvb_ts_packet_header::priority

Definition at line 81 of file header.h.

## private_data

uint8_t dvb_ts_packet_header::private_data

Definition at line 77 of file header.h.

## random_access

uint8_t dvb_ts_packet_header::random_access

Definition at line 82 of file header.h.

## splicing_point

uint8_t dvb_ts_packet_header::splicing_point

Definition at line 78 of file header.h.

## sync_byte

uint8_t dvb_ts_packet_header::sync_byte

Examples
  dvbv5-zap.c.

Definition at line 58 of file header.h.

## transport_error_indicator

uint16_t dvb_ts_packet_header::transport_error_indicator

Definition at line 65 of file header.h.

## transport_priority

uint16_t dvb_ts_packet_header::transport_priority

Definition at line 63 of file header.h.

## transport_scrambling_control

uint8_t dvb_ts_packet_header::transport_scrambling_control

Definition at line 70 of file header.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/header.h